curl --request GET \
--url https://app.launchdarkly.com/api/v2/projects/{projectKey} \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/projects/{projectKey}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/projects/{projectKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_links": {
"environments": {
"href": "/api/v2/projects/my-project/environments",
"type": "application/json"
},
"self": {
"href": "/api/v2/projects/my-project",
"type": "application/json"
}
},
"_id": "57be1db38b75bf0772d11383",
"key": "project-key-123abc",
"includeInSnippetByDefault": true,
"name": "My Project",
"tags": [
"ops"
],
"defaultClientSideAvailability": {
"usingMobileKey": true,
"usingEnvironmentId": true
},
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
},
"defaultReleasePipelineKey": "<string>",
"environments": {
"items": [
{
"_links": {
"self": {
"href": "/api/v2/projects/my-project/environments/my-environment",
"type": "application/json"
}
},
"_id": "57be1db38b75bf0772d11384",
"key": "environment-key-123abc",
"name": "My Environment",
"apiKey": "sdk-xxx",
"mobileKey": "mob-xxx",
"color": "F5A623",
"defaultTtl": 5,
"secureMode": true,
"defaultTrackEvents": false,
"requireComments": true,
"confirmChanges": true,
"tags": [
"ops"
],
"critical": true,
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
},
"approvalSettings": {
"required": true,
"bypassApprovalsForPendingChanges": false,
"minNumApprovals": 1,
"canReviewOwnRequest": false,
"canApplyDeclinedChanges": true,
"serviceKind": "launchdarkly",
"serviceConfig": {},
"requiredApprovalTags": [
"require-approval"
],
"autoApplyApprovedChanges": true,
"serviceKindConfigurationId": "1ef45a85-218f-4428-a8b2-a97e5f56c258"
},
"resourceApprovalSettings": {}
}
],
"_links": {},
"totalCount": 2
}
}{
"code": "invalid_request",
"message": "Invalid request body"
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}Get project
Get a single project by key.
Expanding the project response
LaunchDarkly supports one field for expanding the “Get project” response. By default, these fields are not included in the response.
To expand the response, append the expand query parameter and add a comma-separated list with any of the following fields:
environmentsincludes a paginated list of the project environments.
For example, expand=environments includes the environments field for the project in the response.
Authorizations
Path Parameters
The project key.
Query Parameters
A comma-separated list of properties that can reveal additional information in the response.
Response
Project response
The location and content type of related resources
Show child attributes
Show child attributes
{ "environments": { "href": "/api/v2/projects/my-project/environments", "type": "application/json" }, "self": { "href": "/api/v2/projects/my-project", "type": "application/json" } }
The ID of this project
"57be1db38b75bf0772d11383"
The key of this project
"project-key-123abc"
Whether or not flags created in this project are made available to the client-side JavaScript SDK by default
true
A human-friendly name for the project
"My Project"
A list of tags for the project
["ops"]
Describes which client-side SDKs can use new flags by default
Show child attributes
Show child attributes
Details on the allowed and denied actions for this project
Show child attributes
Show child attributes
The key of the default release pipeline for this project
A paginated list of environments for the project. By default this field is omitted unless expanded by the client.
Show child attributes
Show child attributes